%global pypi_name cement

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        2.10.2
Release:        2%{?dist}
Summary:        CLI Application Framework for Python

License:        BSD
URL:            http://builtoncement.org
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       python(abi) >= 3.4

BuildRequires:  python3-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel

# Almost none of these are required as we're not running tests. Leaving them
# here for reference.
#BuildRequires:  python%{python3_pkgversion}-PyYAML
#BuildRequires:  python%{python3_pkgversion}-argcomplete
#BuildRequires:  python%{python3_pkgversion}-autopep8
#BuildRequires:  python%{python3_pkgversion}-colorlog
#BuildRequires:  python%{python3_pkgversion}-configobj
#BuildRequires:  python%{python3_pkgversion}-coverage
#BuildRequires:  python%{python3_pkgversion}-inotify
#BuildRequires:  python%{python3_pkgversion}-mock
#BuildRequires:  python%{python3_pkgversion}-nose
#BuildRequires:  python%{python3_pkgversion}-pep8
#BuildRequires:  python%{python3_pkgversion}-pathtools
#BuildRequires:  python%{python3_pkgversion}-pystache
#BuildRequires:  python%{python3_pkgversion}-pylibmc
#BuildRequires:  python%{python3_pkgversion}-tabulate
#BuildRequires:  python%{python3_pkgversion}-watchdog

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description
Cement is an advanced CLI Application Framework for Python. Its goal is to
introduce a standard, and featurefull platform for both simple and complex
command line applications as well as support rapid development needs without
sacrificing quality.

For more information please visit the official site at:
* http://builtoncement.com/

%prep
%setup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

# Remove examples.
%{__rm} -rfv %{buildroot}%{python3_sitelib}/examples/

%check
# Too many tests with too many external dependencies. Testing is performed
# elsewhere.
#%{__python3} setup.py test

%files
%doc README.md LICENSE doc/source/license.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Aug 17 2016 Daniel Uvehag - 2.10.2-2
- Removed unnecessary build requirements.

* Mon Aug 15 2016 Daniel Uvehag - 2.10.2-1
- Upgraded to upstream version 2.10.2.

* Mon Jul 04 2016 Daniel Uvehag - 2.8.2-1
- Initial package.
